VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsUICommandInvokedHandler"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
' Autor: F. Schler (frank@activevb.de)
' Datum: 03/2023

Option Explicit

' ----==== Variablen ====----
Private m_pIUICommandInvokedHandler As Long

' ----==== Events ====----
Public Event CommandInvoked(ByVal command As clsUICommand)

' ----==== Class ====----
Private Sub Class_Initialize()
    m_pIUICommandInvokedHandler = modUICommandInvokedHandler.Create(Me)
End Sub

Private Sub Class_Terminate()
'
End Sub

' ----==== Properties ====----
Public Property Get Ifc() As Long
    Ifc = m_pIUICommandInvokedHandler
End Property

' ----==== Invoke Handler ====----
Public Sub UICommandInvoked(ByVal command As Long)
    Dim UICommand As New clsUICommand
    UICommand.Ifc = command
    RaiseEvent CommandInvoked(UICommand)
End Sub

